### Constructor

# Ide TextEdit new_from_variant

#### Declaration

    IdeTextEdit*
    ide_text_edit_new_from_variant (
      GVariant* variant
    )

#### Description

Creates a new `IdeTextEdit` from the variant.

If `variant` is `NULL`, `NULL` is returned.

Available since: | 3.32

#### Parameters

`variant` | `GVariant`
| A `GVariant`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeTextEdit`
| An `IdeTextEdit` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.